<?php

namespace IMATHUZH\Qfq\Core\Renderer\FormElement;

use IMATHUZH\Qfq\Core\Form\FormElement\ContainerFormElement;
use IMATHUZH\Qfq\Core\Renderer\BaseRenderer;

abstract class ContainerRenderer extends FormElementRenderer
{
    /**
     * Render all Children of this container.
     * @return void
     */
    protected function renderChildren(ContainerFormElement $containerFormElement, string $renderMode) : string{
        $output = "";
        $renderer = BaseRenderer::getInstance();

        foreach ($containerFormElement->formElements AS $childFormElement) {
            $output .= $renderer->renderFormElement($childFormElement, $renderMode);
        }

        $output .= $this->renderFormEditorUrl($containerFormElement);

        return $output;
    }
}